<?xml version="1.0"?>
<!--*************************************************************
  *                    Licensed Materials - Property of IBM
  *
  * XXXX-XXX (C) Copyright by IBM Corp. 2005.  All Rights Reserved.
  *
  **************************************************************-->
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes"/>
   
<xsl:template match="exportedResults">
<html>
	<head>
	<title><xsl:apply-templates select="queryInfo"/></title>
	</head>
	<body onload="window.print()">
	<h2><xsl:apply-templates select="queryInfo"/></h2>
	<i><xsl:value-of select="@creationTime"/></i>
	<TABLE BORDER="1" cellspacing="1" cellpadding="10">
	<xsl:apply-templates select="columnNames" />
	<xsl:apply-templates select="records"/>
	</TABLE>
	</body>
</html>
</xsl:template>

<xsl:template match="queryInfo">
<xsl:value-of select="@name"/> 
</xsl:template>

<xsl:template match="columnNames">
	<TR>
	<xsl:apply-templates select="columnName"/></TR>
</xsl:template>

<xsl:template match="columnName">
	<TH><xsl:value-of select="."/></TH><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="records">
	<xsl:apply-templates select="record"/>
</xsl:template>

<xsl:template match="record">
	<TR>
	<xsl:apply-templates select="field"/></TR>
</xsl:template>

<xsl:template match="field">
	<TD><xsl:value-of select="."/></TD><xsl:text>
</xsl:text>
</xsl:template>


</xsl:stylesheet>
